Http Nfc Lease Http Nfc Lease Probe Urls

Http Nfc Lease Http Nfc Lease Probe Urls
Perform a series of validations on the target host to see if it can successfully perform PullFromUrls.

Perform a series of validations on the target host to see if it can successfully perform PullFromUrls.

Since: vSphere API Release 7.0.2.0

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/HttpNfcLease/{moId}/HttpNfcLeaseProbeUrls
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case HttpNfcLease/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
HttpNfcLeaseProbeUrlsRequestType of type(s) application/json
Optional
{
    "files": [
        {
            "_typeName": "string",
            "targetDeviceId": "string",
            "url": "string",
            "memberName": "string",
            "create": false,
            "sslThumbprint": "string",
            "sslCertificate": "string",
            "httpHeaders": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": "string"
                }
            ],
            "size": 0
        }
    ],
    "timeout": 0
}
array of object
files
Optional

[in] List of remote source file descriptors There should be the same number of HttpNfcLeaseSourceFile as HttpNfcLeaseDeviceUrl provided by this lease.

integer As int32 As int32
timeout
Optional

[in] time in seconds for each url validation. Maximum timeout is 60.

Authentication
This operation uses the following authentication methods.
Responses
200

OK

[
    {
        "_typeName": "string",
        "serverAccessible": false
    }
]
array of object
Optional

Descriptor of ProbeResult

Since: vSphere API Release 7.0.2.0


500

InvalidArgument: if no source files are provided.

InvalidState: if the lease has already been aborted.

Returns InvalidState of type(s) application/json
This response body class contains all of the following: VimFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/sdk/vim25/{release}/HttpNfcLease/{moId}/HttpNfcLeaseProbeUrls